import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams } from 'ionic-angular';
import { AppService } from "../../../../service/appHttpService";

@IonicPage()
@Component({
  selector: 'page-detail',
  templateUrl: 'detail.html',
})
export class DetailPage {

  temp = {
      title:'',
      id:''
  };  //问卷信息
    detail;
  constructor(public navCtrl: NavController, public navParams: NavParams,
              public appService: AppService) {
  }

  ionViewDidLoad() {
    this.temp =  this.navParams.get('temp');
    console.log(this.temp);
    this.getDetail();
  }

    getDetail(){
        this.appService.ObserverHttpGet('/wisdomgroup/modules/question/findQuesByQuestionId',{id:this.temp.id})
            .subscribe(
                (res)=>{
                    this.detail = res.json().datalist;
                    for( let i = 0;i < this.detail.length;i++ ){
                        this.detail[i].quesDesc = JSON.parse(this.detail[i].quesDesc);
                    }
                }
            )
    }

}
